Viewing Issue Advanced Details Jump to Notes ] m62.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00183 Sound Minor Have not tried Jan 25, 2008, 06:52 May 15, 2016, 09:56
Tester Stefan Lindberg View Status Public Platform
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved   Driver m62.cpp
Version 0.116u3 Fixed in Version 0.163 Build
Summary 00183: spelunkr, spelunk2: use analog drums in the music just like Kid-Niki.
Description Both Spelunker 1 and 2 use analog drums in the music just like Kid-Niki.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems spelunkr, spelunk2
Attached Files
zip file icon kidniki_j4_pcb_recordings.zip (748,886 bytes)  Mar 4, 2008, 19:12

- Relationships
related to 02490Resolved kidniki, horizon: Missing the drums. There is an analog section in the sound board. 

-  Notes
User avatar
No.00033
Stefan Lindberg
(Senior Tester)
Mar 2, 2008, 12:11
"ldrun3jp" and "ldrun4" do also use analog drums.
User avatar
No.00034
Kold666
(Developer)
Mar 2, 2008, 12:37
Also Kung fu Master use discrete sound for the drum. In general all m62 games have discrete circuit for some part of the music
User avatar
No.00035
couriersud
(Developer)
Mar 2, 2008, 14:36
The schematics for the analog drums are known. However they are *complex* and do not fit directly into the discrete component network. They require at least some modelling from ground up.
User avatar
No.00036
Stefan Lindberg
(Senior Tester)
Mar 2, 2008, 15:36
edited on: Mar 2, 2008, 15:40
I don't know if this should be in the same report as this, but some games need the jumper "J4" to be in A-position... it makes a bass channel on the PCB. In MAME that sound can be heard but is not bass sounding at all so it's no good just to raise the volume of that sound.
Kid Niki uses that channel and so does Youjyunden, here is a recording i done from my Kid Niki PCB with the jumper in A and B position for comparison (in B-position it sounds like in MAME):
http://www.ym2149.com/arcade/kidniki_j4_pcb_recordings.zip

User avatar
No.00038
Kold666
(Developer)
Mar 2, 2008, 16:18
Couriersud, I am sure tht some dev or maybe gregf had the schematics for irem analogue sound.
User avatar
No.00049
couriersud
(Developer)
Mar 4, 2008, 19:12
@Kold666: I have a copy of Kid-Niki schematics. They do contain the schematics for the analogue sound. These Schematics are very complex ... e.g. they do contain 6 or 8 inverter oscillators in parallel. In addition quite some mixing and feedback is present. This is a real challenge and very time consuming. This will most probably will take a lot of time until even tried.
User avatar
No.00079
Kold666
(Developer)
Mar 9, 2008, 22:03
in m62.c there is this comment about jumper J4:
J4: send output C of the secondy AY-3-8910 to SOUND IO instead of SOUND. Is
    this to have it amplified more?

I think Nicola got it ;)
User avatar
No.06901
Kold666
(Developer)
Dec 10, 2010, 16:27
edited on: Dec 11, 2010, 12:16
Video taken from my original pcb of Spelunker

http://kold666.mameworld.info/09122010005.mp4

User avatar
No.11770
Stiletto
(Developer)
Jun 19, 2015, 21:59
Uh, this might be fixed now with the kidniki changes, no?
User avatar
No.12650
haynor666
(Tester)
May 14, 2016, 14:41
Comparing to this video
it is fixed.